﻿@model IEnumerable<EPPW.Membership.Dto.ProgramMenuDto>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Program Menu</p>
                <small>Program Menu list</small>
            </blockquote>
            <p>
                <a href="@Url.Action("Create")" class="btn btn-small" ><i class="icon-plus"></i>Create</a>
            </p>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span12">
        @Html.Partial("../AdminProgramMenu/_Table", Model)
    </div>
</div>
<div>
    @Html.Partial("../AdminProgramMenu/ShowProgramPopup", Model)
</div>
@section HeadCss
{
    @Styles.Render("~/Content/plugins/datatables")
}

@section Scripts
{
    @Scripts.Render("~/Scripts/Plugins/datatables")
    <script type="text/javascript">

        var menuIdAndprogramIdJSON;
        $(function () {
            //1. 显示Popup之前，存取programMenuId 和 programId
            $('#ProgramMenuTable #btnAddOrUpdateProgram').each(function (i, val) {
                $(this).click(function () {
                    var menuIdAndprogramIdStr = $(this).val();
                    menuIdAndprogramIdJSON = eval("(" + menuIdAndprogramIdStr + ")");
                    $('#LinkProgramModal').modal("show");
                });
            });
            //2.1 显示Popup，并且在后台把需要选中的checkbox勾上
            //2.2 点击复选框时，把其他的复选框全部清空
            $('#LinkProgramModal').on('show', function () {
                $('#AddProgramTable').dataTable({
                    "bRetrieve": true,
                    "bProcessing": true,
                    "sAjaxSource": '/Admin/AdminProgramMenu/GetAllProgramDtoList/?programMenuId=' + menuIdAndprogramIdJSON.programMenuId + "&programId=" + menuIdAndprogramIdJSON.programId,
                    //"sServerMethod": "GET",
                    "fnDrawCallback": function () {
                        var programId;
                        $("input:checkbox[name=Programs]").on("change", function () {
                            programId = $(this).val();
                            $("input:checkbox[name=Programs]").each(function () {
                                if ($(this).val() != programId) {
                                    $(this).attr("checked", false);
                                }
                            });
                        });
                    },
                    "aoColumns": [
                        { "mData": "check" },
                        { "mData": "Code" },
                        { "mData": "Name" },
                    ]
                });
            });
            //3. 保存，更新菜单对应的programId
            $("#btnAddProgramToMenu").on("click", function () {
                var url = '/Admin/AdminProgramMenu/UpdateProgramToMenu'
                $('#LinkProgramModal').modal('hide');
                var programId;
                var selectedCheckbox = $("input:checkbox[name=Programs]:checked");
                if (selectedCheckbox.length == 0) {
                    programId = 0;
                }
                else {
                    programId = selectedCheckbox.val();
                }
                $.post(url, { menuId: menuIdAndprogramIdJSON.programMenuId, programId: programId }, function () {
                    location.reload();
                }, "json");
            });
        });
    </script>
}
